Retrieves a ReleaseRecording resource.
curl --request GET \
--url https://www.fmdb.net/api/releases/{releaseId}/recordings/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.fmdb.net/api/releases/{releaseId}/recordings/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.fmdb.net/api/releases/{releaseId}/recordings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "ReleaseRecording",
"id": "/api/releases/2792425e-5267-11e7-ae76-fa163ef5db36/recordings/a1b2c3d4-e5f6-4a5b-8c9d-0e1f2a3b4c5d",
"attributes": {
"_type": "original",
"disambiguation": null,
"is_remastered": false,
"recording_type": "original",
"notes": "Main recording for HP7",
"recording": {
"iri": "/api/recordings/c9b44cf4-18d0-48a5-97dc-ac74c10c50e1",
"id": "c9b44cf4-18d0-48a5-97dc-ac74c10c50e1",
"title": null,
"production": {
"iri": "/api/productions/50cc077a-e086-46a8-bd87-9f563fe48b16",
"id": "50cc077a-e086-46a8-bd87-9f563fe48b16",
"title": "Harry Potter and the Deathly Hallows: Part 1",
"year": 2010
}
},
"effective_credits": [
{
"id": "30b06486-b0d0-40dc-b618-7e37f21efc21",
"artist": {
"iri": "/api/artists/853c4cfb-fca5-417a-97f3-a3f4498c283b",
"id": "853c4cfb-fca5-417a-97f3-a3f4498c283b",
"name": "Alexandre Desplat"
},
"roles": [
{
"id": "57dcc431-5aae-4f0e-827d-e00371533176",
"role": "Composer",
"scope": "all"
}
],
"disambiguation": null,
"name_variation": null
}
],
"effective_orchestras": [],
"effective_choirs": [],
"additional_credits": [
{
"id": "c3d4e5f6-a7b8-6c7d-0e1f-2a3b4c5d6e7f",
"artist": {
"iri": "/api/artists/025e4c07-f798-4815-843c-d7ce1e02ec38",
"id": "025e4c07-f798-4815-843c-d7ce1e02ec38",
"name": "Conrad Pope"
},
"roles": [
{
"id": "7c5ef870-7ae9-4544-9b51-57616f6656f5",
"role": "Orchestrator",
"scope": "all"
}
],
"disambiguation": "additional orchestration",
"name_variation": null
}
]
}
}
}{
"errors": [
{
"id": "<string>",
"title": "<string>",
"detail": "<string>",
"status": 404,
"instance": "<string>",
"type": "<string>",
"meta": {},
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
}
}
]
}ReleaseRecording
Retrieves a ReleaseRecording resource.
Retrieves a ReleaseRecording resource.
GET
/
api
/
releases
/
{releaseId}
/
recordings
/
{id}
Retrieves a ReleaseRecording resource.
⌘I
